Page MenuHomePhabricator

Investigate “coverage: unknown” badge on WikibaseQualityConstraints
Closed, ResolvedPublic

Description

The WBQC README header contains a “coverage” badge whose current status is “unknown”; clicking the badge leads you to a Coveralls 404 page. Did the Coveralls project get lost accidentally, and we should try to restore it? Or should we just remove the badge?

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterUpdate php-coveralls
mediawiki/extensions/WikibaseQualityConstraints : masterRemove src_dir from .coveralls.yml

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 4:58 PM
Lydia_Pintscher triaged this task as Lowest priority.Jun 11 2017, 5:44 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 11:10 AM

Change 372401 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove src_dir from .coveralls.yml

https://gerrit.wikimedia.org/r/372401

Change 372401 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove src_dir from .coveralls.yml

https://gerrit.wikimedia.org/r/372401

Change 405731 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Update php-coveralls

https://gerrit.wikimedia.org/r/405731

Change 405731 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Update php-coveralls

https://gerrit.wikimedia.org/r/405731